Project

General

Profile

Fonctionnalité #16210

OnlyOffice - Port et version docker - Documentation

Added by Emmanuel DILLARD over 1 year ago. Updated 11 months ago.

Status:
Développé / Analysé (S)
Priority:
1-Majeur
Target version:
Backlogs Produits - Inscription Backlog
Start date:
02/08/2021
Due date:
Tags Courrier:
ROADMAP:

Description

DE : SUPPORT ONLYOFFICE

Nous avons récemment été contactés par l'un des clients qui a installé
ONLYOFFICE Document Server et l'a intégré à Maarch Courier. J'ai été
informé que votre guide d'installation est le suivant:

docker run -i -t -d -p 4242:80 --restart=always
\
--name=onlyofficeDREALHDF\ -v
/app/onlyoffice/DocumentServer/data:/var/www/onlyoffice/Data
\ onlyoffice/documentserver:5.6

Pouvez-vous me dire pourquoi le port 4242 est utilisé à ce stade? Y
a-t-il une raison particulière à cela?
L'utilisateur souhaite changer ce port en un autre, ce qui peut
normalement être fait en arrêtant le conteneur docker actuellement
installé et en exécutant la commande docker run, en transférant un port
différent au lieu de 4242. Cependant, j'hésite à ce stade, car il
pourrait être une raison pour laquelle ce port est utilisé que je ne
connais pas. Par défaut, aucun produit ONLYOFFICE n'utilise le port 4242.

En outre, veuillez noter que la commande du guide que vous fournissez
utilise une ancienne image Open Source Document Server. Le serveur de
documents a vu plusieurs mises à jour depuis la version 5.6. Par
conséquent, vous devez envisager d'utiliser une image plus récente du
serveur de documents dans les instructions. La dernière version d'un
serveur de documents open source est la 6.1.

History

#2 Updated by Florian AZIZIAN over 1 year ago

  • Status changed from Prêt à développer to Développé / Analysé (S)
  • Assignee changed from Maarch Courrier DEV TEAM to Emmanuel DILLARD

Le port indiqué dans la doc est juste un exemple.
Vous pouvez mettre ce que vous voulez.
Il faut juste que le port ne soit pas déjà utilisé par une autre application (443 et 80 sont généralement utilisés par Apache).

A partir de Maarch Courrier 20.10, on est compatible avec OnlyOffice 6.
Nous avons testé et validé avec OnlyOffice 6.0.2. Non testé avec OnlyOffice 6.1

A partir de la doc 20.10, on ne précise pas la version de OnlyOffice dans la commande docker.
La commande va récupérer la dernière version par défaut.
Maarch Courrier 20.03 est compatible uniquement avec OnlyOffice 5.6

#3 Updated by Emmanuel DILLARD 11 months ago

  • Project changed from Backlog to Backlog Courrier
  • Target version changed from Inscription Backlog Courrier to Inscription Backlog

Also available in: Atom PDF